import http from "@/api/http.js"
/**
 * 标签库-标签管理
 */
export default{
  /**
   * 标签分类列表
   * PageSize
   * CurrentIndex
   */
  getClassifyList:params=>{
    return http.get('/taglib/variety_tag/classify_list',params)
  },
  /**
   * 新增/编辑标签分类
   * variety_classify_id:为0时是新增,>0为编辑
   * classify_name
   */
  modifyClassify:params=>{
    return http.post('/taglib/variety_tag/classify_save',params)
  },
  /**
   * 设置标签分类状态
   * variety_classify_id
   * state:0-禁用,1-启用
   */
  setClassifyState:params=>{
    return http.post('/taglib/variety_tag/classify_state',params)
  },
  /**
   * 标签列表
   * PageSize
   * CurrentIndex
   * Keywords
   * ClassifyId
   */
  getTagList:params=>{
    return http.get('/taglib/variety_tag/tag_list',params)
  },
  /**
   * 新增/编辑标签
   * variety_tag_id:为0时是新增,>0为编辑
   * variety_classify_id
   * tag_name
   * chart_permission_id
   */
  modifyTag:params=>{
    return http.post('/taglib/variety_tag/tag_save',params)
  },
  /**
   * 设置标签状态
   * variety_tag_id
   * state:0-禁用,1-启用
   */
  setTagStatus:params=>{
    return http.post('/taglib/variety_tag/tag_state',params)
  }
}
